/**
 * 1. facebook chat
 * 2. #callnow
 * 3. #scrollup
 **/

/*#region facebook chat*/
// HTML
// <div class="facebook-header" id="js-facebook-chat">
//     <img src="wwwroot/templates/website/global/img/face-chat.png" alt="">
//     <div id="facebook-opacity"></div>
// </div>
// <div class="facebook-content" id="js-facebook-content">
//     <div class="fb-page" data-href="https://www.facebook.com/FacebookVietnam/" data-tabs="messages" data-width="300" data-height="300" data-small-header="true" data-adapt-container-width="true" data-hide-cover="false" data-show-facepile="false">
//         <blockquote cite="https://www.facebook.com/FacebookVietnam/" class="fb-xfbml-parse-ignore"><a href="https://www.facebook.com/FacebookVietnam/">https://www.facebook.com/FacebookVietnam/</a></blockquote>
//     </div>
// </div>
@-webkit-keyframes fadeOutUp {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }
}

@keyframes fadeOutUp {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(0, -100%, 0);
        transform: translate3d(0, -100%, 0);
    }
}

.fadeOutUp {
    -webkit-animation-name: fadeOutUp;
    animation-name: fadeOutUp;
}


@-webkit-keyframes fadeOutLeft {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0);
    }
}

@keyframes fadeOutLeft {
    from {
        opacity: 1;
    }

    to {
        opacity: 0;
        -webkit-transform: translate3d(-100%, 0, 0);
        transform: translate3d(-100%, 0, 0);
    }
}
.fadeOutLeft {
    -webkit-animation-name: fadeOutLeft;
    animation-name: fadeOutLeft;
}
@-webkit-keyframes bounceInFacebook {
  from,
  20%,
  40%,
  60%,
  80%,
  to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }

  0% {
    opacity: 0;
    -webkit-transform: scale3d(0.3, 0.3, 0.3);
    transform: scale3d(0.3, 0.3, 0.3);
  }

  20% {
    -webkit-transform: scale3d(1.1, 1.1, 1.1);
    transform: scale3d(1.1, 1.1, 1.1);
  }

  40% {
    -webkit-transform: scale3d(0.9, 0.9, 0.9);
    transform: scale3d(0.9, 0.9, 0.9);
  }

  60% {
    opacity: 1;
    -webkit-transform: scale3d(1.03, 1.03, 1.03);
    transform: scale3d(1.03, 1.03, 1.03);
  }

  80% {
    -webkit-transform: scale3d(0.97, 0.97, 0.97);
    transform: scale3d(0.97, 0.97, 0.97);
  }

  to {
    opacity: 1;
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
  }
}
@keyframes bounceInFacebook {
  from,
  20%,
  40%,
  60%,
  80%,
  to {
    -webkit-animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
    animation-timing-function: cubic-bezier(0.215, 0.61, 0.355, 1);
  }

  0% {
    opacity: 0;
    -webkit-transform: scale3d(0.3, 0.3, 0.3);
    transform: scale3d(0.3, 0.3, 0.3);
  }

  20% {
    -webkit-transform: scale3d(1.1, 1.1, 1.1);
    transform: scale3d(1.1, 1.1, 1.1);
  }

  40% {
    -webkit-transform: scale3d(0.9, 0.9, 0.9);
    transform: scale3d(0.9, 0.9, 0.9);
  }

  60% {
    opacity: 1;
    -webkit-transform: scale3d(1.03, 1.03, 1.03);
    transform: scale3d(1.03, 1.03, 1.03);
  }

  80% {
    -webkit-transform: scale3d(0.97, 0.97, 0.97);
    transform: scale3d(0.97, 0.97, 0.97);
  }

  to {
    opacity: 1;
    -webkit-transform: scale3d(1, 1, 1);
    transform: scale3d(1, 1, 1);
  }
}
.facebook-header {
  @include animation();
  @include flex-center();
  text-align: center;
  position: fixed;
  bottom: 10px;
  right: 10px;
  z-index: 9;
  background: $primary-color;
  // padding: 10px;
  width: 50px;
  height: 50px;
  cursor: pointer;
  border-radius: 100%;
  // background-image: url("../img/face-chat.png");
  // background-position: center center;
  // background-repeat: no-repeat;
  // background-size: auto;
  // padding-left: 55px;
  // width: auto;
  // max-width: 100%;
  img {
    width: 35px;
    height: 35px;
  }
  #facebook-opacity {
    position: absolute;
    top: 0;
    left: 0;
    content: "";
    width: 100%;
    height: 100%;
  }
  // p {
  //   margin-bottom: 0;
  //   i {
  //     @include animation();
  //     float: right;
  //   }
  // }
  &.open {
    // bottom: 300px;
    // i {
    //   -ms-transform: rotate(180deg); /* IE 9 */
    //   -webkit-transform: rotate(180deg); /* Chrome, Safari, Opera */
    //   transform: rotate(180deg);
    // }
    + .facebook-content {
      opacity: 1;
      z-index: 99;
      visibility: visible;
      -webkit-animation-duration: 500ms;
      animation-duration: 500ms;
      -webkit-animation-name: bounceInFacebook;
      animation-name: bounceInFacebook;
      -webkit-transition-timing-function: ease-in;
      -o-transition-timing-function: ease-in;
      transition-timing-function: ease-in;
    }
  }
}
.facebook-content {
  @include animation();
  @include box-shadow2();
  @include border();
  position: fixed;
  bottom: calc(20px + 50px);
  right: 15px;
  width: 300px;
  height: 300px;
  // max-width: 100%;
  // height: 0;
  z-index: -1;
  visibility: hidden;
  opacity: 0;
}
/*#endregion*/

/*#region #callnow*/
// HTML
// <a href="tel:" id="callnow">
//   <i class="demo-icon ecs-phone"></i>
//   <span class="hidden-xs">0902726571</span>
// </a>
@keyframes play {
  0% {
    transform: scale(1);
  }
    15% {
        box-shadow: 0 0 0 5px rgba(235, 219, 219, 0.40);
    }
    25% {
        box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4), 0 0 0 20px #fbe2e6;
    }
    25% {
        box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4), 0 0 0 30px #fbe2e6;
    }
}
@-moz-keyframes play {
  0% {
    transform: scale(1);
  }
  15% {
    box-shadow: 0 0 0 5px rgba(235, 219, 219, 0.40);
  }
  25% {
    box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4),
      0 0 0 20px rgba(255, 255, 255, 0.2);
  }
  25% {
    box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4),
      0 0 0 30px rgba(255, 255, 255, 0.2);
  }
}
@-webkit-keyframes play {
  0% {
    transform: scale(1);
  }
  15% {
    box-shadow: 0 0 0 5px rgba(255, 255, 255, 0.4);
  }
  25% {
    box-shadow: 0 0 0 10px rgba(255, 255, 255, 0.4),
      0 0 0 20px rgba(255, 255, 255, 0.2);
  }
  25% {
    box-shadow: 0 0 0 15px rgba(255, 255, 255, 0.4),
      0 0 0 30px rgba(255, 255, 255, 0.2);
  }
}
.checkbox_box {
    display: block;
    position: relative;
    padding-left: 25px;
    margin-bottom: 20px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;

    input {
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
    }

    input:checked ~ .checkmark {
        background-color: #afacac;

        &:after {
            display: block;
        }
    }

    .checkmark {
        position: absolute;
        top: 0;
        left: 0;
        height: 20px;
        width: 20px;
        border-radius: 3px;
        background-color: #ccc;

        &:after {
            content: "";
            position: absolute;
            display: none;
            left: 7px;
            top: 2px;
            width: 6px;
            height: 12px;
            font-size: 26px;
            border: solid #000;
            border-width: 0 2px 2px 0;
            -webkit-transform: rotate(45deg);
            -ms-transform: rotate(45deg);
            transform: rotate(45deg);
        }
    }
}
.title-with-line-bottom {
    display: inline-block;
    position: relative;
    text-align: center;

    &:after {
        position: absolute;
        content: "";
        width: 80%;
        bottom: -3px;
        left: 10px;
        height: 3px;
        display: inline-flex;
        background: $primary-color;
    }
}
#phone-1 {
    bottom: 15px;
}
#phone-2 {
    bottom: 100px;
}
.phone {
    width: 50px;
    height: 50px;
    position: fixed;
    z-index: 999;
    border-radius: 50%;
    left: 15px;
    text-align: center;
    color: $white;
    font-size: 35px;
    -webkit-animation: play 2s ease infinite;
    animation: play 2s ease infinite;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    backface-visibility: hidden;
    display: block;

    i {
        background: $primary-color;
        position: relative;
        z-index: 10;
        width: 100%;
        height: 100%;
        display: block;
        border-radius: 50%;
        line-height: 45px;
    }

    span {
        @include animation();
        @include box-shadow1();
        opacity: 1;
        visibility: visible;
        display: inline-block;
        position: absolute;
        top: calc(50% - 15.5px);
        font-size: 14px;
        font-weight: $font-weight-bold;
        width: -webkit-max-content;
        width: -moz-max-content;
        width: max-content;
        width: 150px;
        padding: 5px 10px 5px 15px;
        border-radius: 0px;
        z-index: 9;
        left: 40px;
        background: $white;
        color: $black;
    }
}
#support {
    width: 50px;
    height: 50px;
    position: fixed;
    z-index: 999;
    border-radius: 50%;
    left: 90px;
    bottom: 15px;
    text-align: center;
    color: $white;
    font-size: 24px;
    -webkit-animation: play 2s ease infinite;
    animation: play 2s ease infinite;
    -webkit-backface-visibility: hidden;
    -moz-backface-visibility: hidden;
    -ms-backface-visibility: hidden;
    backface-visibility: hidden;
    display: block;

    i {
        background: $primary-color;
        position: relative;
        z-index: 10;
        width: 100%;
        height: 100%;
        display: block;
        border-radius: 50%;
        border: 5px solid white;
        line-height: 33px;
    }
}
/*#endregion*/

/*#region #scrollup*/
// HTML
// <a href="javascript:" id="scrollup"><i class="demo-icon ecs-up-open-big" aria-hidden="true"></i></a>
.zalo-chat-widget {
    left: 5px !important;
    bottom: 7% !important;
}
#scrollup {
    width: 40px;
    height: 40px;
    position: fixed;
    bottom: 23px;
    right: 91px;
    display: none;
    background: $primary-color;
    opacity: 0.8;
    z-index: 90;
    border-radius: 50%;
    text-align: center;

    i {
        font-size: 20px;
        line-height: 40px;
        color: #fff;
    }
}
/*#endregion*/
/*#region #sad*/
.widget-all-app {
    position: fixed;
    right: 0;
    z-index: 1000;
    top: 305px;
    width: 50px;
    background-image: linear-gradient(90deg,#d64c63 0%,#c2223c 100%);
    transition: border-radius 0.5s ease 0s;
    border-radius: 10px 0 0 10px;
    box-shadow: 0 2px 7px rgba(0,0,0,0);

    .widget-btn-img-call, .widget-btn-img-zalo, .widget-btn-img-mess, .widget-btn-img-location, .widget-btn-img-email {
        width: 55%;
        position: absolute;
        right: 11px;
        top: 8px;
    }

    .widget-btn-act-call, .widget-btn-act-zalo, .widget-btn-act-mess, .widget-btn-act-location, .widget-btn-act-email {
        width: 50px;
        height: 50px;
        position: relative;
        border-bottom: 1px solid rgba(0,0,0,.1);
        box-shadow: 0 1px rgba(255,255,255,.16);
        cursor: pointer;

        &:hover {
            .widget-btn-content-call, .widget-btn-content-zalo, .widget-btn-content-mess, .widget-btn-contentt-map, .widget-btn-contentt-email {
                visibility: visible;
                opacity: 1;
            }
        }

        a {
            width: 50px;
            height: 50px;
            display: inline-block;
        }
    }

    .widget-btn-content {
        visibility: hidden;
        font-size: 12px !important;
        line-height: 16px !important;
        text-align: center;
        white-space: nowrap;
        border-radius: 4px;
        padding: 8px;
        position: absolute;
        top: calc(50% - 16px);
        z-index: 1;
        opacity: 0;
        transition: opacity .5s;
        background-color: #1D243E;
        color: #fff;
        right: 120%;

        &:after {
            content: "";
            position: absolute;
            top: 50%;
            margin-top: -5px;
            border-width: 5px;
            border-style: solid;
            border-color: transparent transparent transparent #1D243E;
            left: 100%;
        }
    }
}
.widget-overlay {
    background: rgba(0,0,0,.64);
    position: fixed;
    z-index: 9999;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    overflow: visible;
    display: none;
}
.widget-all-act-mobile {
    position: fixed;
    background-color: #f5f6fa;
    left: 15px;
    right: 15px;
    bottom: 15px;
    z-index: 9999;
    border-radius: 12px;
    font-size: 16px;
    display: none;
}
.widget-close-popup-act-mobile {
    position: absolute;
    right: 0;
    top: 0;
    padding: 10px;
}
.widget-list-act {
    list-style: none;
    margin: 0;
    padding: 0;

    li {
        margin-left: 0;
        line-height: 0;

        a {
            display: inline-block;
            width: 100%;
            padding: 0 10px 0;
            border-bottom: 1px solid #ecedf1;
            box-shadow: 0 1px 0 0 #fff;
            color: #000;
            line-height: 43px;

            img {
                margin-right: 8px;
                width: 30px;
                position: relative;
                top: -2px;
            }
        }

        &:last-child {
            a {
                border-bottom: 0;
                box-shadow: none;
            }
        }
    }
}
/*#endregion*/
@media screen and (min-width: 1920px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (min-width: 1200px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1024px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
  /*#region #sad*/
  /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
}

@media screen and (max-width: 320px) {
  /*#region #sad*/
  /*#endregion*/
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
  /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
  /*Code is here*/
}
/*#endregion*/
